*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
img{
    /* garder ratio d'une image*/
    border-radius: 2px;
    object-fit: cover;
    display: block;
    max-width: 100%;
}
.flex {
  display: flex;
}
body{
    min-height: 100vh; 
    max-width: 100vw;
    font-family: 'Roboto', sans-serif;
    color: #FEFCFB;
    font-style: regular;
    font-size: clamp(13px, 10vw, 20px);
    line-height: 1.5;
    /* convention du web : séparer paragraphes de 1.3 */
}
.light{
    background: linear-gradient(#10BA99, #4900b0);
}
.dark{
    background: linear-gradient(#1b013d, #030007);
}
section{
    height: 95vh;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}
div{
    height: auto;
}
button{
    width: 170%;
    border-radius: 20px;
    border: 2px solid #3D0091;
    background-color: #3D0091;
    padding: 2.5% 8% 2.5% 8%;
    /* padding: top right bottom left*/
    transition: background-color .5s;
    font-family: 'Roboto', sans-serif;
    color: #FEFCFB;
    font-size: clamp(13px, 10vw, 20px);
    line-height: 30px;
    font-weight: 500;
    justify-content: center;
    align-items: center;
    margin: 3%;
    transition: .3s ease-in-out;
}
button a{
    color: #FEFCFB !important;
}
button:hover {
    color: #FEFCFB !important;
    background-color: #10BA99 !important;
    border: 2px solid #10BA99;
    cursor: pointer;
}
#button-container{
    width: 50%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
h1{
    font-family: 'ABeeZee', sans-serif;
    font-size: clamp(35px, 10vw, 50px);
    font-weight: 900;
    display: flex;
    flex-wrap: wrap;
    margin: 7% 0% 12% 0%;
    /* margin: top right bottom left*/
}
h2{
    font-family: 'ABeeZee', sans-serif;
    font-size: clamp(18px, 10vw, 35px);
    font-weight: 700;
    margin-top: 7%;
    margin-bottom: 2%;
    text-align: center;
}
p, a{
    text-decoration: none;
    color: #FEFCFB;
}
a:hover{
    color: #10BA99;
    cursor: pointer;
}
form{
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin: 1% 5% 1% 5%;
    /* margin: top right bottom left*/
}
input, select{
    color: #3D0091;
    font-weight: 700;
    font-style: uppercase;
    border-radius: 5px;
    border: #10BA99;
    padding: 2% 45% 2% 5%;
    margin: 3%;
}
.input-clicked{
    font-weight: 900;
    display: flex;
    flex-grow: 1;
    margin: 3%;
}
::placeholder {
    color: #10BA99;
    font-weight: 500;
}
select{
    padding: 1.%;
    color: #10BA99;
    font-weight: 700;
    padding-left: 3%;
}
#city-input-submit{
    justify-content: center;
    flex-direction: row;
    align-items: center;
}
.description{
    margin-bottom: 3%;
}
#weekday, .local-time, .temperature, .description{
    justify-content: center;
}
footer{
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 5vh;
    width: 100vw;
    position: absolute;
}
.copyright{
    transition: background-color .5s;
    font-size: clamp(8px, 10vw, 12px);
}

/* MEDIA QUERIES */
@media (max-width: 360px){
    #city-input-submit{
        flex-direction: column;
    }
    input, select{
        padding: 2% 3% 2% 4%;
        /* padding: top right bottom left*/
    }
    .description{
        text-align: center;
    }
}
@media (max-width: 500px){
    input, select{
        padding: 2% 20% 2% 4%;
    }
}
@media (max-width: 1025px){
    #weather-icon, #icon{
        flex-direction: column;
    }
}
